Subject: Re: [patch 00/13] CPU selection Kconfig cleanup, take 3

From: Arnd Bergmann <[email-masked]>
Date: Fri, 15 Jun 2007 01:51:39 +0200

On Thursday 14 June 2007, Kumar Gala wrote:
> I'm a little hesitant to move the embedded ppc's over to =A0
> multiplatform quite yet. =A0One feature I wanted was in Kconfig a way =A0
> to enforce the selection of at least one choice, as well as being =A0
> able to optimize things since we only had one choice selected.

What would such a potential optimization be like? Are you thinking
of turning the 'platform_is(foo)' check into a compile-time choice,
or are there more places where you can imagine an optimization?
I'd like to understand better what you want to achieve there,
maybe I can find a way to do that in the same series.

=46or the 'at least one option selected' argument, I'm not sure how
important that is, IMHO it falls into the same category as any
other essential option that you can disable.

	Arnd <><